Page MenuHomePhabricator

nodemap: track the total and unused amount of data in the rawdata file
ClosedPublic

Authored by marmoute on Jan 15 2020, 9:56 AM.

Details

Summary

We need to keep that information around:

  • total data will allow transaction to start appending new information without confusing other reader.
  • unused data will allow to detect when we should regenerate new rawdata file.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 15 2020, 9:56 AM
marmoute updated this revision to Diff 19434.Jan 17 2020, 1:07 PM
marmoute updated this revision to Diff 19770.Jan 31 2020, 10:29 AM
marmoute updated this revision to Diff 19797.Jan 31 2020, 6:00 PM
marmoute updated this revision to Diff 19841.Feb 2 2020, 3:19 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19901.Feb 4 2020, 7:25 PM

rebase to latest default

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.